body { background-color: #111111;
margin: 0;}

@keyframes margin-anim {
  0%   {margin-left: -0px;}
  1%  {margin-left: -400.1px;}
  2%  {margin-left: -200px;}
  6% {margin-left: -4px;}
  30% {margin-left: -0px;}
}

@keyframes mmargin-anim {
  0%   {margin-left: : 1px;}
  5%  {margin-left: -200.1px;}
  25% {margin-left: 100px;}
  80% {margin-left: 1px;}
}

@keyframes scaleimg {
  0% {margin-left:0;}
  5% {margin-left:-100%;}
  10% {margin-left:-150%;}
  40% {margin-left:-80%;}
  99% {margin-left:50%;}
}

a.vlink, a.xylink {
    text-decoration: none;
    font-family: monospace;
    font-size: calc(1.5vw + 1.5vh);
    color:#fff;
}

a.vlink:active, a.xylink:active {
  font-style: italic;
}

.vncnt:hover, .xyb2x1c:hover {
 transform: scale(4.2);
}


.vncnt, .xyb2x1c {
  position: absolute;
}

.vncnt {
  left:2vw;
  top: 2vw;
  z-index: +10;
}

.xyb2x1c {
  left: 2vw;
  bottom: 2vw;
  z-index: +20;
}

a.floatplease
{ max-width:5.1vw;
  margin: 0px;
  animation-name: margin-anim;
animation-duration: 6s;
animation-iteration-count: infinite;
display:block;
}

a.floatpleas2 {
  display:block;
  z-index: +10000;
}

.fun {
  max-width: 15vw;
  float: left;
  margin-left: +150%;

}

.fun2 {
  margin-left: -50%;
  max-width: 15vw;
  float: left;
 mix-blend-mode: difference;
 transform:scale(2.7);
}

.fun2:hover,
.fun2:active {
  transform: scale(2.2);
  margin-left: 0%;
  animation-name: scaleimg;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
}

.fun:active {
  border-width: 1px;
  border-style: groove;
  border-color: black;
  animation-name: mmargin-anim;
animation-duration: 3s;
animation-iteration-count: infinite;
}

.fun:hover {
  transform: scale(1.2);
}

.container {
  margin-left: 5vw;
    margin-top: 10vh;
    display: flex;
    width: 90vw;
    height: 80vh;
    flex-flow: wrap;
    text-align: center;
    justify-content: center;
    align-content: center;
    align-items: center;
    flex-direction: row;
}

@media screen and (max-width: 1080px){
  .container {
    margin-left: 15vw;
      margin-top: 5vh;
    width:70vw;
    height: 90vh;
  }
  .fun {
    max-width: 20vw;
    float: left;

  }
}
@media screen and (max-width: 760px){
  .container {
    margin-left: 15vw;
      margin-top: 10vh;
    width:70vw;
    height: 80vh;
  }
}
